%define fontconfdir     %{_sysconfdir}/fonts/conf.d
%define wqyroot         wqy-bitmapfont-all
%define wqyfontdir      %{_datadir}/fonts/wenquanyi
%define fontdir         %{wqyfontdir}/bitmap


Name: wqy-bitmap-fonts
Summary: WenQuanYi Bitmap Chinese Fonts
Version: 0.8.1
Release: 6%{?dist}
License: GPL
URL: http://wqy.sourceforge.net/en/
Group: User Interface/X
Source: http://downloads.sourceforge.net/wqy/wqy-bitmapfont-bdf-all-cvs20070506.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: bdftopcf
Requires: freetype, chkfontpath, xorg-x11-font-utils, fontconfig >= 2.3
Requires(post): chkfontpath, xorg-x11-font-utils, fontconfig
Requires(postun): chkfontpath, fontconfig

%description
The Wen Quan Yi bitmap fonts include complete CJK Unified
Ideograph (U4E00 - U9FA5) glyphs at four different sizes
(9pt-12X12 pixel, 10pt-13X13 pixel, 11pt-15X15 pixel,
12pt-16x16 pixel) and two weights (medium and bold).
Use of these bitmap fonts for on-screen display of Chinese
(traditional and simplified) in web pages and elsewhere
eliminates the annoying "blurring" problem caused by
the high stroke density of many Chinese characters and
insufficient "hinting" of anti-aliased Chinese fonts.
These fonts also provide bitmap glyphs for Japanese
Hiragana (U3040 - U309F), Katakana (U30A0 - U30FF)
and for Korean Hangul (UAC00 - UD7A3).

%prep
%setup -q -n %{wqyroot}

%build
make wqyv08

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{wqyfontdir}
install -d -m755 %{buildroot}%{fontdir}
install -p -m644 *.pcf  %{buildroot}%{fontdir}/
install -p -m644 fonts.alias  %{buildroot}%{fontdir}/
install -d -m755 %{buildroot}%{fontconfdir}
install -p -m644 85-wqy-bitmapsong.conf  %{buildroot}%{fontconfdir}/
touch %{buildroot}%{fontdir}/fonts.dir

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README LOGO.png
%dir %{wqyfontdir}
%dir %{fontdir}
%{fontdir}/*.pcf
%config(noreplace) %{fontconfdir}/85-wqy-bitmapsong.conf
%{fontdir}/fonts.alias
%ghost %verify(not md5 size mtime) %{fontdir}/fonts.dir

%post
%{_bindir}/mkfontdir %{fontdir} || :
%{_bindir}/fc-cache  %{fontdir} || :
%{_sbindir}/chkfontpath -q -a %{fontdir} || :

%postun
if [ "$1" = "0" ]; then
    %{_sbindir}/chkfontpath -q -r %{fontdir} || :
fi
%{_bindir}/fc-cache || :

%changelog
*Fri May 18 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-6
- final polishing of spec file and initial upload to cvs

*Thu May 10 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-5
- further polishing the spec file (by Jens Petersen)

*Sun May 06 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-4
- use nightly-build cvs20070506-bdf as sources

*Fri May 04 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-3
- remove superfluous conflicts and provides

*Thu Apr 12 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-2
- update to upstream new release 0.8.1-7

*Sun Feb 18 2007 Qianqian Fang <fangqq@gmail.com> 0.8.0-1
- initial packaging for Fedora (#230560)
